## org.eclipse.amp.agf.gef
Class ScapePartFactory

    java.lang.Object
      org.eclipse.amp.agf.gef.ScapePartFactory

All Implemented Interfaces:
  org.eclipse.gef.EditPartFactory

Direct Known Subclasses:
  Scape3DPartFactory

    public class ScapePartFactory

extends java.lang.Object
implements org.eclipse.gef.EditPartFactory

Author:
  mparker

Constructor Summary
`ScapePartFactory(IModel model, IGraphicsAdapter graphicsAdapter)`

Method Summary
`org.eclipse.gef.EditPart` `createEditPart(org.eclipse.gef.EditPart context, java.lang.Object model)`
`ICompositionProvider` `getCompositionProvider()`
`IGraphicsAdapter` `getGraphicsAdapter()`
`IGraphProvider` `getGraphProvider()`
`ILocationProvider` `getLocationProvider()`
`protected org.eclipse.gef.EditPart` `getPartForElement(java.lang.Object model)` Maps an object to an EditPart.
`void` `setCompositionProvider(ICompositionProvider compositionProvider)`
`void` `setGraphProvider(IGraphProvider graphProvider)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScapePartFactory

    public ScapePartFactory(IModel model,
                            IGraphicsAdapter graphicsAdapter)

Method Detail

### createEditPart

    public org.eclipse.gef.EditPart createEditPart(org.eclipse.gef.EditPart context,
                                                   java.lang.Object model)

  Specified by:
    `createEditPart` in interface `org.eclipse.gef.EditPartFactory`
  Parameters:
    `context` -
    `model` -
  Returns:
  See Also:
    `EditPartFactory.createEditPart(org.eclipse.gef.EditPart, java.lang.Object)`

### getPartForElement

    protected org.eclipse.gef.EditPart getPartForElement(java.lang.Object model)

  Maps an object to an EditPart.

  Parameters:
    `model` - the model
  Returns:
    the part for element
  Throws:
    `java.lang.RuntimeException` - if no match was found (programming error)

### getCompositionProvider

    public ICompositionProvider getCompositionProvider()

  Returns:
    the compositionProvider

### getGraphProvider

    public IGraphProvider getGraphProvider()

  Returns:
    the graphProvider

### setCompositionProvider

    public void setCompositionProvider(ICompositionProvider compositionProvider)

  Parameters:
    `compositionProvider` - the compositionProvider to set

### setGraphProvider

    public void setGraphProvider(IGraphProvider graphProvider)

  Parameters:
    `graphProvider` - the graphProvider to set

### getLocationProvider

    public ILocationProvider getLocationProvider()

### getGraphicsAdapter

    public IGraphicsAdapter getGraphicsAdapter()

  Returns:
    the graphicsAdapter